package rest;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import facade.Facade;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;
import javax.ws.rs.Produces;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.SecurityContext;

@Path("timers")
public class TimerResource {

    Facade facade = new Facade();
    Gson gson = new GsonBuilder().setPrettyPrinting().create();

    @Context
    private UriInfo context;

    @Context
    SecurityContext securityContext;

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("leaderboard")
    public String retrieveLeaderBoard() {
        return gson.toJson(facade.getleaderBoard());
    }

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("player/{steamid}")
    public String retrievePlayer(@PathParam("steamid") String steamid) {
        return gson.toJson(facade.getPlayer(steamid));
    }

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("player/maps/{steamid}")
    public String retrievePlayerMaps(@PathParam("steamid") String steamid) {
        facade.checkTimeElapse();
        return gson.toJson(facade.getPlayerMaps(steamid));
    }

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("map/{mapname}/{number}")
    public String retrieveSpecificMapStages(@PathParam("mapname") String mapname, @PathParam("number") int stage) {
        facade.checkTimeElapse();
        return gson.toJson(facade.getSpecificMap(mapname, stage));
    }
}
