import React from 'react';
import Facade from '../Datafacade/datafacade';
import { NavLink } from 'react-router-dom'

class Leaderboard extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            players: []
        };
    }
    componentDidMount = async () => {
        const players = await Facade.getLeaderBoard();
        this.setState({ players });
        this.props.setLeaderboard(players);
    };


    render() {
        return (
            <React.Fragment>
                <div className="container mm" style={{ marginTop: "85px" }}>
                    <div style={{
                        position: 'absolute', left: '50%', top: '30%'
                    }}>
                        {this.state.players.map(e => (
                            <div>
                                <NavLink to={'/player/' + e.steamID}>
                                    <strong class="col-lg-1 col-centered" /> {e.steamID}<br />
                                    <strong class="col-lg-1 col-centered" />{e.name}<br />
                                    <img src={e.Avatar} /> <br />
                                    <strong class="col-lg-1 col-centered" />Rank: {e.Rank}<br />
                                    <strong class="col-lg-1 col-centered" />Points: {e.PlayerPoints}<br />
                                    <strong class="col-lg-1 col-centered" />Times: {e.Times}<br />
                                    <br />
                                    <br />
                                </NavLink>
                            </div>
                        ))}
                    </div>
                </div>
            </React.Fragment>
        );
    }
}


export default Leaderboard;